EAPI=8

inherit cmake

DESCRIPTION="WINE bottle management tool"
HOMEPAGE="https://vcs.otl-hga.net/nicole/cellar/"
SRC_URI="https://vcs.otl-hga.net/nicole/cellar/archive/v${PV}.tar.gz -> cellar-${PV}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc"

DEPEND="
    app-arch/gzip
    dev-libs/crypto++
    >=dev-lang/python-3.7
"
RDEPEND="${DEPEND}"
BDEPEND="
    app-text/ronn-ng
    doc? ( dev-python/sphinx )
"

src_prepare() {
    cmake_src_prepare
}

src_configure() {
    local mycmakeargs=(
        -DCMAKE_BUILD_TYPE=Release
    )

    cmake_src_configure
}

src_install() {
    cmake_src_install
}